<template>
  <div class="settings">
    <div class="container">
      <div class="settings-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Настройки</p>
      </div>
      <div class="avatar-wrap">
        <div class="wrap">
          <div class="img-wrap">
            <img src="../assets/images/card/img1.jpg" alt="">
          </div>
          <span><img src="../assets/images/icons/edit-white.svg" alt=""></span>
        </div>
      </div>
      <Input input name="Как вас зовут?*" placeholder="ФИО/Никнейм"/>
      <div class="input-title">
        Дата рождения
      </div>
      <div class="select-wrap-date">
        <v-select class="select-date" value="15" :list="['15', '16']"/>
        <v-select class="select-date" value="Февраль" :list="['Февраль', 'Март', 'Апрель']"/>
        <v-select class="select-date" value="1982" :list="['1982', '1983']"/>
      </div>
      <Input select :select-options="['Мужской', 'Женский']" name="Пол" checked="Мужской"/>
      <Input input name="Номер телефона*" placeholder="+7 (___) ___-__-__" visible/>
      <Input input name="Электронная почта*" placeholder="vashapochta@mail.ru" visible/>
      <Input input name="VK" placeholder="@vashprofile" visible/>
      <Input input name="Inst" placeholder="@vashprofile" visible/>
      <Input input name="Telegram" placeholder="@vashprofile" visible/>
      <Input input name="Viber" placeholder="+7 (___) ___-__-__" visible/>
      <Input input name="WhatsApp" placeholder="+7 (___) ___-__-__" visible/>
      <Input textarea name="О себе" placeholder="Напишите сюда что-нибудь интересное…"/>
      <Button style="margin-bottom: 40px" text="Сохранить" small/>
      <router-link
        :to="{name:'change-password'}"
        style="display: block;text-align: center; width: 100%"
        class="blue"
      >Сменить пароль</router-link>
    </div>
  </div>
</template>

<script>
import Input from "./Input";
import vSelect from "./V-Select";
import Button from "./Button";
export default {
  name: "Settings",
  components: {Button, Input, 'v-select':vSelect}
}
</script>

<style scoped lang="scss">
.settings {
  padding-bottom: 24px;
  position: relative;
  z-index: 300;
  background-color: #F1F2F4;
  .container {
    .settings-head {
      display: flex;
      margin-bottom: 40px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .avatar-wrap {
      display: flex;
      justify-content: center;
      margin-bottom: 24px;
      .wrap {
        display: flex;
        justify-content: center;
        position: relative;
        width: 100px;
        .img-wrap {
          width: 100px;
          height: 100px;
          border-radius: 50%;
          overflow: hidden;
        }
        img {}
        span {
          position: absolute;
          top: 0;
          right: 0;
          width: 40px;
          height: 40px;
          border-radius: 50%;
          background: #C4C4C4;
          overflow: hidden;
          display: flex;
          align-items: center;
          justify-content: center;
          img {
            width: 22px;
          }
        }
      }
    }
    .input-title {
      font-weight: 700;
      font-size: 18px;
      color: #424242;
      margin-bottom: 12px;
    }
    .select-wrap-date {
      display: flex;
      margin-bottom: 24px;
      .select-date {
        min-width: 80px;
        &:first-child {
        }
        &:nth-child(2) {
          width: 145px;
        }
        &:last-child {
          width: 100px;
        }
      }
    }
  }
}
</style>

